Upload an ATS attachment file

Beta
Uploads a file and attaches it to an ATS candidate, offer, or job activity. Use this in preference to POST /rest/ats/candidates/{candidate_id}/attachments, which only accepts a candidate CV, whenever you need to attach any other file type. **Token scopes**: `ats:write`, `worker:write` **Beta**: this version requires the `X-Beta: true` request header and its contract may change before it is promoted to stable. It is scheduled to become stable on 2026-12-25.

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.deel.training/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

attachable_type_slugenumRequired
Type of the entity the file is attached to
Allowed values:
attachable_idstringRequiredformat: "uuid"
Unique identifier of the entity the file is attached to
attachment_type_slugenumRequired
Type of the attachment being created
Allowed values:

Request

This endpoint expects a multipart form.
dataobjectRequired

Response

Successful response with the created attachment data
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error